Canto-remote(1)

NAME
Canto-remote - A basic remote for canto-daemon This provides some capability to configure and query canto-daemon without a full client. Useful for scripting or interfacing with other programs.

COMMAND LINE USAGE
canto-remote (options) [command] (arguments)

OPTIONS

-V  Print version info and exit.

-h/--help
    Print usage help

-D/--dir [directory]
    Change base directory for canto-daemon (default: $XDG_CONFIG_HOME/canto)

--noplugins
    Disable all plugins

--enableplugins 'plugin1 plugin2...'
    Enable these plugins (overrides --noplugins)

--disableplugins 'plugin1 plugin2...'
    Disable these plugins

-a/--address [IP]
    Attempt to connect to address instead of local Unix socket, defaults to loopback (127.0.0.1)

-p/--port [port]
    Use port when connecting with -a

COMMANDS
Canto-remote supports various commands to configure canto-daemon, although using a real client is recommended.

help [command]
    Get help on a specific command

addfeed [URL] (username=user password=secret) (name="Some name")
    Subscribe to a feed, optionally with special arguments. If no name is specified, the feed's title will be used.

listfeeds
    List all subscribed feeds

delfeed [name or listfeeds index]
    Unsubscribe from a feed

status (--tag=tag) (--read|--total|--tags)
    Print the number of unread items, optionally restricted to a specific tag, --read prints read items, --total prints total items, --tags prints the value for all tags. NOTE: This is still subject to filters, so if you're filtering all read items, --read will never return anything but 0.

force-update
    Refetch all feeds, regardless of timestamps

config (="value")
    Change a configuration variable
    (You probably don't want to do this by hand, use a client)

one-config (= value)
    Change a single configuration variable, assuming the entire line is one setting.
    (You probably don't want to do this by hand, use a client)

export
    Write an OPML formatted list of feeds to stdout
    (i.e. canto-remote export > feedlist.opml)

import
    Import an OPML formatted list of feeds from stdin
    (i.e. canto-remote import < feedlist.opml)

kill
    Kill the daemon you're connecting to

script
    Run a script (testing code)

NOTE: Plugins can also add remote commands, like 'sync', which will also be
    listed with --help (or no arguments).

HOMEPAGE
http://codezen.org/canto-ng

AUTHOR
Jack Miller <jack@codezen.org>

SEE ALSO
canto-daemon(1)